rdnssd_1.0.4-1_i386.deb


Advertisement

Description

rdnssd - IPv6 recursive DNS server discovery daemon

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename rdnssd_1.0.4-1_i386.deb
Package name rdnssd
Package version 1.0.4
Package release 1
Package architecture i386
Package type deb
Category implemented-in::c interface::daemon net network::server protocol::dns role::program
Homepage http://www.remlab.net/ndisc6/
License -
Maintainer Bernhard Schmidt <berni@debian.org>
Download size 56.60 KB
Installed size 97.00 KB
rdnssd autoconfigures recursive DNS servers on IPv6 networks
using ICMPv6 Neighbor Discovery (RFC 5006), and can update the
DNS resolvers configuration (/etc/resolv.conf) accordingly.

Alternatives

Package Version Architecture Repository
rdnssd_1.0.4-1_amd64.deb 1.0.4 amd64 Debian Main
rdnssd - - -

Requires

Name Value
adduser -
libc6 >= 2.28
lsb-base >= 3.0-6

Conflicts

Name Value
network-manager -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package rdnssd_1.0.4-1_i386.deb
Source Package ndisc6

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install rdnssd deb package:
    # sudo apt-get install rdnssd

Files

Path
/etc/default/rdnssd
/etc/init.d/rdnssd
/etc/rdnssd/merge-hook
/lib/systemd/system/rdnssd.service
/sbin/rdnssd
/usr/share/doc/rdnssd/changelog.Debian.gz
/usr/share/doc/rdnssd/changelog.gz
/usr/share/doc/rdnssd/copyright
/usr/share/man/man8/rdnssd.8.gz

Changelog

2019-01-13 - Bernhard Schmidt <berni@debian.org>
ndisc6 (1.0.4-1) unstable; urgency=medium
[ Ondřej Nový ]
* d/control: Set Vcs-* to salsa.debian.org
[ Bernhard Schmidt ]
* New upstream version 1.0.4
* Drop dnssd-hook-drop-dnssl.patch applied upstream
* Switch to debhelper 11, bump SV (no changes needed)
2017-02-01 - Bernhard Schmidt <berni@debian.org>
ndisc6 (1.0.3-3) unstable; urgency=medium
* Import upstream fix to simplify rdnssd-merge-hook (Closes: #853281)
2017-01-01 - Bernhard Schmidt <berni@debian.org>
ndisc6 (1.0.3-2) unstable; urgency=medium
[ Bernhard Schmidt ]
* Mostly use upstream rdnssd-hook to merge resolv.conf (Closes: #767071)
2016-10-14 - Bernhard Schmidt <berni@debian.org>
ndisc6 (1.0.3-1) unstable; urgency=medium
* Adopt package (Closes: #713004)
- Switch to dh9, enable all hardening
- Add Vcs-* fields
- bump standards to 3.9.8, no changes necessary
* New upstream version 1.0.3
- Closes: #599870, #605808, #627777, #658254
* Refresh patches
* drop perl dependency of rdnssd, the hook is now a shell script
* fix lsb-base dependency on rdnssd
2016-03-31 - Aurelien Jarno <aurel32@debian.org>
ndisc6 (1.0.1-6) unstable; urgency=medium
* QA upload.
* Drop build-depends on libnss-files-udeb, they're now provided by
libc-udeb, as of glibc 2.22-5.
2015-12-22 - Andreas Henriksson <andreas@fatal.se>
ndisc6 (1.0.1-5) unstable; urgency=medium
* QA upload.
* Add debian/rdnssd.service (Closes: #796630)
* Add dh-systemd to build-dependencies to have cdbs pick it up.
* Drop dead/obsolete XS-Vcs-Svn url from debian/control.
2015-09-14 - Santiago Vila <sanvila@debian.org>
ndisc6 (1.0.1-4) unstable; urgency=medium
* QA upload.
* Refresh debian/patches/02-we-will-do-fine-without-build-date-or-build-host.
The __DATE__ was still being used in rdnssd/rdnssd.c.
2015-08-29 - Santiago Vila <sanvila@debian.org>
ndisc6 (1.0.1-3) unstable; urgency=medium
* QA upload.
* Switch to "3.0 (quilt)" source format.
* Put old .diff.gz in debian/patches/01-debian-patch-in-version-1.0.1-2.
* Neither the build date or the build host should be relevant.
Add debian/patches/02-we-will-do-fine-without-build-date-or-build-host.
2015-02-14 - Michael Gilbert <mgilbert@debian.org>
ndisc6 (1.0.1-2) unstable; urgency=medium
* QA upload.
* Set maintainer to the Debian QA Group (see #713004).
* Add conflicts between rdnssd and network-manager (closes: #740998).
2011-02-20 - Rémi Denis-Courmont <remi@remlab.net>
ndisc6 (1.0.1-1) unstable; urgency=low
* New upstream release:
- translate into German (Closes: #579719).
- fix alignment issues on ARM and SPARC (Closes: #599869).
* Update my email address.
* Refer to GPL-2 rather than just GPL.
* Update to standards version 3.9.1.
* Add udeb for rdisc6 and rdnssd (Closes: #611330)
(patch by Matthew Palmer <mpalmer@debian.org>).
* Stop rdnssd also on run level 1.

See Also

Package Description
rdp-alignment_1.2.0-5_all.deb Ribosomal Database Project (RDP) alignment tools package
rdp-classifier-doc_2.10.2-4_all.deb documentation and examples for rdp-classifier
rdp-classifier_2.10.2-4_all.deb extensible sequence classifier for fungal lsu, bacterial and archaeal 16s
rdp-readseq_2.0.2-6_all.deb Ribosomal Database Project (RDP) sequence reading and writing
rdtool-elisp_0.6.38-4_all.deb Emacs-lisp rd-mode for writing RD document
rdtool_0.6.38-4_all.deb RD document formatter
rdup_1.1.15-1_i386.deb utility to create a file list suitable for making backups
re2c_1.1.1-1_i386.deb tool for generating fast C-based recognizers
re_0.1-7_i386.deb Russian Anywhere -- Russian text converter
read-edid_3.0.2-1+b1_i386.deb hardware information-gathering tool for VESA PnP monitors
readline-common_7.0-5_all.deb GNU readline and history libraries, common files
readline-doc_7.0-5_all.deb GNU readline and history libraries, documentation and examples
readseq_1-13_i386.deb Conversion between sequence formats
realmd_0.16.3-2_i386.deb DBus service for configuring kerberos and other online identities
rear-doc_2.4+dfsg-1_all.deb Bare metal disaster recovery and system migration framework (documentation)
Advertisement
Advertisement